﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using CrystalDecisions.CrystalReports.Engine;
using System.Data.SqlClient;
using System.Configuration;

namespace CrystalReportSample
{
    public partial class Form1 : Form
    {
        DataTable dt ;
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            //Create new report Document
            ReportDocument rptDoc = new ReportDocument();
            //Create new instance of Dataset
            DataSet1 ds = new DataSet1();
            //get Data from db
            funGetData();
            //merge data in dataset
            ds.Tables["TBEMP"].Merge(dt);
            //get path of crystal report
            string srtPath = Application.StartupPath.ToString() + "\\CrystalReport2.rpt";
            rptDoc.Load(srtPath);
            rptDoc.SetDataSource(ds);

            crystalReportViewer1.ReportSource = rptDoc;
            crystalReportViewer1.Show();
            
        }
        private DataTable funGetData()
        {
            dt = new DataTable();
            try
            {
                SqlConnection con = new SqlConnection();
                con.ConnectionString = ConfigurationSettings.AppSettings["ConnString"].ToString();
                con.Open();
                string query = "select * from tbEmp";
                SqlCommand cmd = new SqlCommand(query, con);
                SqlDataAdapter adp = new SqlDataAdapter(cmd);
                adp.Fill(dt);
            }
            catch (Exception ex)
            {
                throw ex;
            }
            return dt;
        }
    }
}
